moeoBM(3)

NAME
moeoBM - Base class for binary metrics.

SYNOPSIS

#include <moeoMetric.h>

Inherits eoBF< A1, A2, R >< A1, A2, R >, and moeoMetric.

Inherited by moeoSolutionVsSolutionBM< EOT, R, EOFitness >, moeoVectorVsSolutionBM< EOT, R, EOFitness >, moeoVectorVsVectorBM< EOT, R, EOFitness >, and moeoVectorVsVectorBM< EOT, double >.

Detailed Description

  template<class A1, class A2, class R> class moeoBM< A1, A2, R >
Base class for binary metrics.

Definition at line 38 of file moeoMetric.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.